"{ Package: 'cvut:stx/goodies/libsvn' }"

"{ NameSpace: SVN }"

Object subclass:#Revision
	instanceVariableNames:''
	classVariableNames:'Head'
	poolDictionaries:''
	category:'SVN-Core'
!


!Revision class methodsFor:'instance creation'!

date: aDate

    ^RevisionNumber new date: aDate

    "Created: / 15-03-2008 / 23:27:05 / janfrog"
    "Modified: / 16-03-2008 / 08:56:23 / janfrog"
!

head

    Head ifNil:[Head := RevisionHead new].
    ^Head

    "Created: / 15-03-2008 / 23:27:16 / janfrog"
    "Modified: / 16-03-2008 / 08:56:14 / janfrog"
    "Modified: / 24-03-2009 / 15:18:19 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

number: aNumberOrString

    ^RevisionNumber new number: aNumberOrString asNumber

    "Modified: / 16-03-2008 / 08:56:27 / janfrog"
    "Created: / 18-08-2009 / 13:50:56 / Jan Vrany <vranyj1@fel.cvut.cz>"
!

revision: aNumberOrString

    <resource: #obsolete>
    self obsoleteMethodWarning: 'Use #number: instead'.
    ^self number: aNumberOrString

    "Created: / 15-03-2008 / 23:26:51 / janfrog"
    "Modified: / 16-03-2008 / 08:56:27 / janfrog"
    "Modified: / 18-08-2009 / 13:51:53 / Jan Vrany <vranyj1@fel.cvut.cz>"
! !

!Revision methodsFor:'printing & storing'!

printOn: stream

    self subclassResponsibility

    "Created: / 15-03-2008 / 23:21:59 / janfrog"
! !

!Revision class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_CVS
    ^ '$Header$'
!

version_SVN
    ^'Id: SVN__Revision.st 110 2009-08-19 13:21:10Z vranyj1 '
! !
